FreeMat

- Main Page
- Related Pages

vtkImageLogic

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageLogic implements basic logic operations. SetOperation is used to select the filter's behavior. The filter can take two or one input. Inputs must have the same type.

To create an instance of class vtkImageLogic, simply invoke its constructor as follows

      obj = vtkImageLogic

# Methods

The class vtkImageLogic has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageLogic class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageLogic = obj.NewInstance ()`
- `vtkImageLogic = obj.SafeDownCast (vtkObject o)`
- `obj.SetOperation (int )` - Set/Get the Operation to perform.
- `int = obj.GetOperation ()` - Set/Get the Operation to perform.
- `obj.SetOperationToAnd ()` - Set/Get the Operation to perform.
- `obj.SetOperationToOr ()` - Set/Get the Operation to perform.
- `obj.SetOperationToXor ()` - Set/Get the Operation to perform.
- `obj.SetOperationToNand ()` - Set/Get the Operation to perform.
- `obj.SetOperationToNor ()` - Set/Get the Operation to perform.
- `obj.SetOperationToNot ()` - Set/Get the Operation to perform.
- `obj.SetOutputTrueValue (double )` - Set the value to use for true in the output.
- `double = obj.GetOutputTrueValue ()` - Set the value to use for true in the output.
- `obj.SetInput1 (vtkDataObject input)` - Set the Input1 of this filter.
- `obj.SetInput2 (vtkDataObject input)` - Set the Input2 of this filter.